<ion-grid
    [ngClass]="{
        'notfound ion-justify-content-center': filteredDoctors.length === 0
    }"
>
    <ion-row *ngIf="loading; else message" class="ion-justify-content-center">
        <ion-spinner name="circular" color="primary"></ion-spinner>
    </ion-row>
    <ng-template #message>
        <app-doctor-item
            *ngFor="let item of filteredDoctors"
            [doctor]="item"
            (click)="itemSelect.emit(item)"
        >
        </app-doctor-item>
        <ion-row
            *ngIf="list.length === 0"
            class="ion-align-items-center ion-justify-content-center"
        >
            <ion-col size="11">
                <app-action-required
                    message="Il semble qu'aucun praticien ne soit disponible à la même plage horaire"
                    class="block mx-10"
                >
                </app-action-required>
            </ion-col>
        </ion-row>
    </ng-template>
</ion-grid>
